> ## Documentation Index
> Fetch the complete documentation index at: https://docs.selcor.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Setup Agent

> Trigger agent setup (fire-and-forget). Returns 202 immediately.



## OpenAPI

````yaml https://api.selcor.ai/v1/openapi.json post /v1/voice/agent
openapi: 3.1.0
info:
  title: Selcor Partner API
  version: 0.1.0
  description: API for managing workspaces, locations, voice agents, and relay executions.
servers:
  - url: https://api.selcor.ai
    description: Production
security:
  - bearerAuth: []
paths:
  /v1/voice/agent:
    post:
      tags:
        - Agent
      summary: Setup Agent
      description: Trigger agent setup (fire-and-forget). Returns 202 immediately.
      parameters:
        - schema:
            type: string
            example: clxyz123
          required: true
          name: location_id
          in: query
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                voice_id:
                  type: string
                  minLength: 1
                voice_gender:
                  type: string
                  enum:
                    - male
                    - female
                  default: female
                website_url:
                  type: string
                  format: uri
                business_description:
                  type: string
              required:
                - voice_id
      responses:
        '202':
          description: Agent setup initiated
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: object
                    properties:
                      setup_status:
                        type: string
                    required:
                      - setup_status
                required:
                  - data
      security:
        - bearerAuth: []
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: API Key
      description: 'API key in format: sk_live_...'

````